
Redmine - Feature #1011

Add voting to tickets

2008-04-07 18:25 - Maxim Krušina

Status: New Start date: 2008-04-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

As I see lot of people voting for different tickets, I got idea why not to add voting to tickets.

Here is my rough idea:

Voting can be enabled/disabled per project/tracer

so some projects will have no voting, some projects will have voting, but in some trackers (probably we don't vote in "bugs"

tracker)

Every user can give only one vote per ticket

so voting will be for registered users only (probably)

Proposal of voting model:

Simple: you can vote (+1) or not vote (0)

1-5 model: you can select "how much" you vote: 5 = very much, 1 = maybe...

-1,0,+1 model: you can vote in positive or negative way...

Each ticket will display voting score (numbers of points) and number of votes (this apply based on exact voting model)

When Nr. of votes and/of voting score will be added to ticket list's filters, we can list tickets by voting score or number of votes

Top 10 (5 etc) of most wanted issues can be displayed on homepage of project

What others think?

Related issues:

Related to Redmine - Feature #8299: Add "vote for this issue" button on issues Closed 2011-05-05

Related to Redmine - Feature #6945: Add a voting system to help users help ad... New 2010-11-19

Related to Redmine - Feature #1158: Polls New 2008-05-01

Related to Redmine - Feature #17288: Use Watcher Count as a poor man's Voting... New

Related to Redmine - Feature #24946: Issue rating (like button or vote up but... New

Related to Redmine - Feature #42630: Introduce reaction feature to issues, no... Resolved

Has duplicate Redmine - Feature #8478: Vote for feature Closed 2011-05-31

Has duplicate Redmine - Feature #11200: Creare a vote system for users requests Closed

Has duplicate Redmine - Feature #16050: Add votes Closed

Has duplicate Redmine - Feature #11655: Implementation of a Issue Voting Closed

History

#1 - 2008-04-07 19:15 - Ale Muñoz

I'd say +1 for this : )

#2 - 2008-04-07 22:41 - Maxim Krušina

Yes, +1 for me too ;)

#3 - 2008-04-08 21:04 - Rocco Stanzione

+1.  May be a good candidate for a plugin.

#4 - 2008-04-09 05:36 - Raz Mataz

+1 from me, too

#5 - 2008-04-10 22:34 - F. D. Castel

+1 here.
(Hey! We are VOTING here... Nice hack. :) )

#6 - 2008-05-06 04:48 - Leandro Lucarella

+1

#7 - 2008-06-05 21:09 - Arthaey Angosii

+1. See http://www.uservoice.com/ for a clean example of simple issue-voting.

#8 - 2008-06-09 13:01 - David Gillard

+1

#9 - 2008-06-17 05:02 - Roy Belview

+1.  This would be a really great feature!

#10 - 2008-07-03 06:42 - Anonymous

+1

#11 - 2008-07-03 08:41 - clawfrown clawfrown

+1 !

#12 - 2008-07-03 17:51 - Marcello Henrique

+1 great!

#13 - 2008-07-22 15:21 - clawfrown clawfrown

I believe simple model of voting will be the best.. Coz 5 stars and -1,0,+1 are weird..

#14 - 2008-08-07 03:13 - Jan Losinski

+1

#15 - 2008-08-08 14:13 - Curtis Stewart

+1 I could use it.

#16 - 2008-08-09 06:26 - David Davis

Here's something that is 'sort of working for me': change the 'Issue priorities' Enumerations to [..., -1, 0, +1, +2, +3, ...] (as many as you need).  This

had the side-effect of making the 'priority' more relevant as well.

Then, the task would be to allow a non-manager 'user' to change the priority (explicitly?).  Maybe 'voting' is a simple rule: a (non-manager/developer)

'user' can only change the priority, once, by one increment or decrement.

I was just toying with this solution as a workaround tonight, but thought it was interesting to implicitly tie the 'votes' to the 'priority' of an issue.  Then

the issues that are the 'squeakiest wheels' will automatically get the highest priorities.

#17 - 2008-08-11 09:57 - Thomas Lecavelier

Like the idea and its description.

But that's another layer of cmoplexity: including it would move redmine closer to the bloated status :(

I preach for a plugin/module approach: let redmine admin add features they want to their very redmine, don't put all of them in it.

HTH

#18 - 2009-02-27 00:39 - Mischa The Evil

- Status changed from New to 7

- Assignee set to Mischa The Evil

I'll start some work for a plugin-implementation of issue-voting soon...

More to come...

#19 - 2009-03-28 13:49 - Igor Tkachenko

+1
I think this is a must have thing for every successful product aimed for end user!

On the first stages of product development when user community is small you may just write all users' suggestions to a paper sheet and easily see

how many users want certain feature (this feature is wanted by 3 users and other features are wanted by only a one user, ok I'll do the first feature).

But when the product community grows it's getting to hardly define what users want more. Without this feature you may think that users want

EVERYTHING and RIGHT NOW! Having this feature allows us to plan what improvements we should implement first and what may wait for some

time.

#20 - 2009-04-04 21:06 - colin moock

huge +1. every professional, public software project needs this.

#21 - 2009-04-04 21:09 - colin moock

notice that even redmine's issues are littered with +1 notes. those should all just be votes. every "+1" note in this system is a vote for ticket #1011.

#22 - 2009-04-05 01:18 - Anonymous

colin moock wrote:

notice that even redmine's issues are littered with +1 notes.

 lol, that's a good point

oh yea... +1 ;p

#23 - 2009-04-20 16:37 - Mischa The Evil

- Assignee deleted (Mischa The Evil)

Andrew Chaika developed an issue-voting plugin which probably solves this issue. It can be found here on the forums: Issue Vote Plugin.

#24 - 2009-04-29 02:30 - Eric Davis

- Status changed from 7 to Closed

- % Done changed from 0 to 100

- Resolution set to Wont fix

Closing issue.  Andrew Chaika has developed this in a plugin.  See my comment for more information.

#25 - 2009-11-24 11:53 - Kamil .

What is the reason of not integrating this feature into trunk?

The best example is redmine.org itself, where users are voting constatnly still using comments.

If there would be necessity not to have voting - it should be possible to disable it in options.

What do you think?

#26 - 2009-12-20 00:07 - James Turnbull

Or just activate the voting plugin on Redmine.

#27 - 2009-12-20 11:03 - Kamil .

James Turnbull wrote:

Or just activate the voting plugin on Redmine.

 That would be also a good solution, but if it is so desirable, why not to include it?

#28 - 2010-01-31 18:22 - Ngewi Fet

I agree that issue voting be used on redmine.org either as the plugin or in trunk

to eliminate the need for voting in comments which incidentally I am doing now.

#29 - 2010-10-29 20:24 - Luiz Carlos Junior

+1 (this is horrible)

Isn't it possible to add this feature to Redmine.org (into the trunk or as a plugin)?

#30 - 2010-10-31 00:31 - Terence Mill

It should be transparent to the comunity how ranking of features is. Else the future development can't be community driven.
+5  (new syntax - lol)

#31 - 2011-01-21 15:03 - Sascha Herrmann

+1 for activating this feature on redmine.org!!!

#32 - 2011-07-21 17:09 - Fernando Hartmann

+1 This should be in Redmine basic features !

#33 - 2011-07-21 18:56 - Fernando Hartmann

Are someone using this plugin with Redmine 1.2.0, where is it available to download ?

I Found only a updated up to 2009 in https://github.com/Ubik/redmine_vote !!

Is it abandoned ?

If so, we need to reopen this ticket !

#34 - 2011-11-08 21:53 - Kurt Christensen

I nice guy forked the original redmin_vote plugin, and his fork is working for me. I'm running Redmine 1.2.1 on Ubuntu 10 with MySQL.

#35 - 2011-11-08 21:55 - Kurt Christensen

Urmf. Sorry for the garbled previous post. Here's the link to the nice guy's fork of redmine_vote:

https://github.com/jimmyz/redmine_vote

#36 - 2011-11-08 23:01 - Terence Mill

I am working on a fork with missing features

https://github.com/cforce/redmine_vote

per project module which can be switched on/off

added 3 rights

vote_issue

view_votes

view_voters

separated view from hook code, no more inlining

TODO:

fix #2 bug for public projects

establish view_rights for issues vote patch

provide filters for issue search

#37 - 2012-04-16 12:33 - Deniz Bahadir

Sascha Herrmann wrote:

+1 for activating this feature on redmine.org!!!

 I will do the same:

+1 for activating this feature on redmine.org!!!

#38 - 2012-07-13 04:08 - Jonathan East

+1 for activating this feature on redmine.org

#39 - 2012-09-21 12:33 - Aidin Abedi

+1

#40 - 2012-09-21 12:46 - Aidin Abedi

- Status changed from Closed to Reopened

- % Done changed from 100 to 0

Since the "vote plugin" referenced as reason for closing this issue hasn't been maintained in over 3 years. I strongly urge this feature be reopened

and reconsidered as part of redmine core. This is a essential feature, trac even has it as part of there official tracker. This is a must have for any large

organisation or public project.

EDIT: also I think all everyone would appreciate this over spamming "+1" for everything.

#41 - 2012-10-16 19:57 - K. Scott Tripp
More "+1" spam!

#42 - 2012-10-19 16:36 - Roger Müller

+1

#43 - 2012-10-25 16:11 - Fred Leeflang

+1

#44 - 2012-10-25 16:18 - Daniel Felix

+1 relates to #11655 and #6945.

#45 - 2013-05-26 22:06 - Antoine Beaupré

+1

one way i'd like to see this implemented is by simply displaying the number of watchers on an issue... we already have a voting system builtin, right

there. plus it means that people that vote actually are involved in the issue because they receive updates. if they don't want to receive updates,

maybe they don't care so much. :)

#46 - 2013-05-27 16:07 - Terence Mill

There is a new plugin i found

https://github.com/dextra/redmine_issues_poll.git

#47 - 2013-06-03 16:52 - Sandro Camarao

+1

#48 - 2013-07-11 07:20 - Thomas Robbs

“Yo Dawg, I herd you like +1, so I put a +1 in your +1 so you can +1 while you +1.”

+1 for the +1 feature

#49 - 2013-07-25 10:35 - Eugene Fokin

+1

#50 - 2013-08-12 10:54 - D K

+1

#51 - 2013-12-16 14:56 - Željko Trogrlić

Activate plugin so we are sure that it will be upgraded to future Redmine versions.

#52 - 2014-02-08 02:01 - Toshi MARUYAMA

- Status changed from Reopened to New

- Resolution deleted (Wont fix)

#53 - 2014-02-08 02:02 - Toshi MARUYAMA

- Has duplicate Feature #16050: Add votes added

#54 - 2014-02-08 09:53 - Anonymous

+1

#55 - 2014-02-08 11:26 - Aidin Abedi

+1 (Unfortunately, I'm assuming the redmine devs will never be interested in adding this...)

#56 - 2014-02-12 04:00 - Anonymous

+1 (I'd vote for it, but I can't)

#57 - 2014-03-04 22:34 - Jeff W

+1 (if this is the kind of voting...)
#58 - 2014-06-22 19:35 - Deoren Moor

+1

#59 - 2014-07-17 13:04 - Robert Pollak

I am also affected by this.

Btw., launchpad.net instead has a clickable

"This bug affects 34 persons. Does this bug affect you?".

#60 - 2014-07-17 13:13 - Robert Pollak

Alternatively, one can "Use Watcher Count as a poor man's Voting system" (issue #17288)

Btw., #11655 is a duplicate of this issue.

#61 - 2014-07-20 17:59 - Toshi MARUYAMA

- Related to deleted (Feature #11655: Implementation of a Issue Voting)

#62 - 2014-07-20 17:59 - Toshi MARUYAMA

- Has duplicate Feature #11655: Implementation of a Issue Voting added

#63 - 2014-07-20 18:15 - Toshi MARUYAMA

- Related to Feature #17288: Use Watcher Count as a poor man's Voting system on redmine.org added

#64 - 2014-09-02 09:12 - Kevin Palm

+1

#65 - 2014-10-13 13:21 - asd asd

+1

#66 - 2015-04-07 02:10 - James H

+1

#67 - 2015-09-10 17:44 - CH fish

+1

I hope it will be around rather sooner then later...

#68 - 2015-09-11 13:25 - budo kaiman

+1

#69 - 2015-11-07 15:16 - Alexander Watzinger

+ 1

#70 - 2016-02-21 00:55 - Anton Reutov

+1

Hi,

Dear Developers, when this module will be create ?

2008-04-07 - it is not ok

This request already exists 8 years old

#71 - 2017-01-27 22:00 - Simon Cruise

We have always performed prioritisation of issues politically within the business and weight each channel with importance.

For example the sales team will never vote to have a db query optimised.

Priorities are extremely useful to a point but when you have queues with hundreds of items it is nice to have a group voting system to allow this to be

taken into account.

The way I would love to see it implemented is that it would be a custom field, essentially an Integer type with vote controls assigned to it. i.e. Format

type would be vote.
The default value could always be 0 and the following could be left out :

Min - Max length

Regular expression

Default value

Link values to URL

Other than that it could hopefully piggy back off the Integer type logic already in place.

#72 - 2017-02-15 18:53 - Konstantin Ladutenko

- File likes.png added

The possible design solution I had created for a duplicated issue Feature #24946 (it has a more detailed description of the feature request, is is

actually not a full duplicate of the present issue, as it is about adding voting to the issue list, not to the issue view itself)

 likes.png 

#73 - 2017-02-26 16:48 - Toshi MARUYAMA

- Related to Feature #24946: Issue rating (like button or vote up button) added

#74 - 2018-09-17 15:14 - Anonymous

+1

#75 - 2018-11-24 04:00 - Antoine Beaupré

Max Johansson wrote:

+1

 See, this is beyond irony at this point. This issue is close to receiving about a hundred +1 comments, most of which are unnecessary noise for

probably even more watchers that have been waiting for this issue to be fixed for over a decade now.

It's simply a matter of showing the number of watchers on an issue. How hard can that possibly be? :)

That said, I'm not using Redmine anymore, and so I will bid my fellow watchers farewellm, unwatch this issue and apologize for this final, ultimate

mike drop:

+1

:)

#76 - 2019-02-18 13:40 - Anonymous

Antoine Beaupré wrote:

unwatch this issue and apologize for this final, ultimate mike drop: +1 :)

 LOL XD

#77 - 2025-04-26 11:54 - Go MAEDA

- Related to Feature #42630: Introduce reaction feature to issues, notes, news, and forums added

Files

likes.png 302 KB 2017-02-15 Konstantin Ladutenko
